# Get Patient

Endpoint: GET /patient/{client_id}
Version: v1
Security: x-api-key, a-api-key

## Security:

  - `x-api-key` (unknown)
    apiKey in header x-api-key

  - `a-api-key` (unknown)
    apiKey in header a-api-key

## Path parameters:

  - `client_id` (integer, required)

## Response 200:

  - `200` (unknown)
    Successful

## Response 200 fields (application/json):

  - `links` (object)

  - `links.self` (string, required)
    Example: https://api.pracsuite.com/v1/patient/1

  - `links.accounts` (string)
    Example: https://api.pracsuite.com/v1/patient/1/account

  - `links.appointments` (string)
    Example: https://api.pracsuite.com/v1/patient/1/appointment

  - `links.invoices` (string)
    Example: https://api.pracsuite.com/v1/patient/1/invoice

  - `links.patient_attachments` (string)
    Example: https://api.pracsuite.com/v1/patient/1/patient_attachment

  - `links.patient_contacts` (string)
    Example: https://api.pracsuite.com/v1/patient/1/patient_contact

  - `links.payments` (string)
    Example: https://api.pracsuite.com/v1/patient/1/payment

  - `links.tags` (string)
    Example: https://api.pracsuite.com/v1/patient/1/tag

  - `client_id` (integer)
    Example: 1

  - `first_name` (string)

  - `tenant_id` (integer)

  - `title` (string)

  - `middle_name` (string)

  - `surname` (string)

  - `preferred_name` (string)

  - `date_of_birth` (string)

  - `email` (string)

  - `gender` (string)

  - `sex` (string)

  - `pronouns` (string)

  - `address_1` (string)

  - `address_2` (string)

  - `address_3` (string)

  - `address_4` (string)

  - `suburb` (string)

  - `address_state` (string)

  - `postcode` (string)

  - `country` (string)

  - `home_phone` (string)

  - `work_phone` (string)

  - `mobile` (string)

  - `fax` (string)

  - `file_no` (string)

  - `patient_notes` (string)

  - `patient_warnings` (string)

  - `fee_category` (string)

  - `health_fund` (string)

  - `health_fund_member_no` (string)

  - `health_fund_patient_id` (integer)

  - `health_fund_card_issue_no` (string)

  - `pension_no` (string)

  - `pension_expiry` (string)

  - `archive` (boolean)

  - `occupation` (string)

  - `default_account_id` (integer)

  - `medicare_no` (string)

  - `medicare_irn` (string)

  - `medicare_expiry` (string)

  - `medicare_claimant` (boolean)

  - `medicare_claimants` (array)

  - `medicare_claimants.medicare_no` (string)

  - `medicare_claimants.irn` (string)

  - `medicare_claimants.surname` (string)

  - `medicare_claimants.first_name` (string)

  - `medicare_claimants.date_of_birth` (string)

  - `medicare_claimants.address_1` (string)

  - `medicare_claimants.address_2` (string)

  - `medicare_claimants.suburb` (string)

  - `medicare_claimants.postcode` (string)

  - `dva_no` (string)

  - `dva_type` (string)

  - `file_created` (string)
    RFC 3339 UTC date-time (Z) with microsecond precision.
    Example: 2020-09-12T11:09:42.687393Z

  - `default_business` (string)

  - `default_practitioner` (string)

  - `referrer` (string)

  - `referrer_email` (string)

  - `referrer_organisation` (string)

  - `referrer_source` (string)

  - `referral_date` (string)

  - `gp_name` (string)

  - `deceased` (boolean)

  - `family_notes` (string)

  - `covid_vaccination_status` (string)

  - `covid_vaccination_date` (string)

  - `ndis_number` (string)

  - `email_marketing` (string)
    Enum: "Soft Opt-In", "Opt-In", "Soft Opt-Out", "Opt-Out"

  - `sms_marketing` (string)
    Enum: "Soft Opt-In", "Opt-In", "Soft Opt-Out", "Opt-Out"

  - `default_phone_reminder` (boolean)

  - `default_sms_reminder` (boolean)

  - `default_email_reminder` (boolean)

  - `default_sms_confirmation` (boolean)

  - `default_email_confirmation` (boolean)

  - `default_sms_follow_up` (boolean)

  - `default_email_follow_up` (boolean)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 400

  - `error.code` (string)
    Example: INVALID_PARAMS

  - `error.detail` (string)
    Human readable explanation of the error
    Example: One or more request parameters are invalid.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: UNAUTHORIZED

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Access could not be verified for this request.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: MISSING_AUTHENTICATION_TOKEN

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Authentication token is missing or the requested endpoint does not exist

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 404

  - `error.code` (string)
    Example: NOT_FOUND

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Could not find {Resource} with ID {ID_HERE}

  - `request_id` (string)
    Example: 00000000-0000-0000-0000-000000000000

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 500

  - `error.code` (string)
    Example: SERVER_ERROR

  - `error.detail` (string)
    Human readable explanation of the error
    Example: An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

